import { TerraformModule, TerraformModuleUserConfig } from 'cdktf';
import { Construct } from 'constructs';
export interface ExecutorsCredentialsConfig extends TerraformModuleUserConfig {
    /**
     * If not provided, there will be no permissions boundary on IAM roles and users created. The ARN of a policy to use for permissions boundaries with IAM roles and users.
     */
    readonly permissionsBoundaryArn?: string;
    /**
     * An optional prefix to add to all resources created.
     */
    readonly resourcePrefix?: string;
}
/**
 * Defines an ExecutorsCredentials based on a Terraform module
 *
 * Docs at Terraform Registry: {@link https://registry.terraform.io/modules/sourcegraph/executors/aws/~> 5.0.1/submodules/credentials sourcegraph/executors/aws//modules/credentials}
 */
export declare class ExecutorsCredentials extends TerraformModule {
    private readonly inputs;
    constructor(scope: Construct, id: string, config?: ExecutorsCredentialsConfig);
    get permissionsBoundaryArn(): string | undefined;
    set permissionsBoundaryArn(value: string | undefined);
    get resourcePrefix(): string | undefined;
    set resourcePrefix(value: string | undefined);
    get metricWriterAccessKeyIdOutput(): string;
    get metricWriterSecretKeyOutput(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
